---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libenvironment.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4B050, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4CF90, symBinAddr: 0xA100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4D378, symBinAddr: 0xA4E8, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4E318, symBinAddr: 0xB488, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4E320, symBinAddr: 0xB490, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: _jvmti, symObjAddr: 0x65A20, symBinAddr: 0x22B90, symSize: 0x0 }
  - { offsetInCU: 0x8D80, offset: 0x8D80, size: 0x8, addend: 0x0, symName: _iGlobalStatus, symObjAddr: 0x65A28, symBinAddr: 0x22B98, symSize: 0x0 }
  - { offsetInCU: 0x8D95, offset: 0x8D95, size: 0x8, addend: 0x0, symName: _printdump, symObjAddr: 0x65A2C, symBinAddr: 0x22B9C, symSize: 0x0 }
  - { offsetInCU: 0x8DAA, offset: 0x8DAA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4ACD0, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x8DB5, offset: 0x8DB5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4ACD4, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x8DC0, offset: 0x8DC0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4ACD8, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x8E05, offset: 0x8E05, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4AE28, symBinAddr: 0x8098, symSize: 0x0 }
  - { offsetInCU: 0x8E7E, offset: 0x8E7E, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4AEE0, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8E9C, offset: 0x8E9C, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4AEE4, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8EB5, offset: 0x8EB5, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4AEE8, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8ECE, offset: 0x8ECE, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4AEEC, symBinAddr: 0x815C, symSize: 0x0 }
  - { offsetInCU: 0x8EE7, offset: 0x8EE7, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4AEF0, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4AEF8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4AF10, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4AF18, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4AF20, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4AF28, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4AF30, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL10jvmti_caps, symObjAddr: 0x4AF80, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x9126, offset: 0x9126, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xE30, symSize: 0xA0 }
  - { offsetInCU: 0x91BB, offset: 0x91BB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xE08, symSize: 0x28 }
  - { offsetInCU: 0x921E, offset: 0x921E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xD88, symSize: 0x80 }
  - { offsetInCU: 0x94B2, offset: 0x94B2, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xED0, symSize: 0x20C }
  - { offsetInCU: 0x966B, offset: 0x966B, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x10DC, symSize: 0x28 }
  - { offsetInCU: 0x9734, offset: 0x9734, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x1104, symSize: 0xB0 }
  - { offsetInCU: 0x982B, offset: 0x982B, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x11B4, symSize: 0xD8 }
  - { offsetInCU: 0x9950, offset: 0x9950, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x128C, symSize: 0x24 }
  - { offsetInCU: 0x99DB, offset: 0x99DB, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x12B0, symSize: 0x168 }
  - { offsetInCU: 0x9BB7, offset: 0x9BB7, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x1418, symSize: 0x104 }
  - { offsetInCU: 0x9D34, offset: 0x9D34, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x151C, symSize: 0x154 }
  - { offsetInCU: 0x9F18, offset: 0x9F18, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x1670, symSize: 0xAC }
  - { offsetInCU: 0x9FED, offset: 0x9FED, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x171C, symSize: 0x14 }
  - { offsetInCU: 0xA026, offset: 0xA026, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x1730, symSize: 0x14 }
  - { offsetInCU: 0xA05F, offset: 0xA05F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x1744, symSize: 0x14 }
  - { offsetInCU: 0xA1DC, offset: 0xA1DC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x1758, symSize: 0x1A8 }
  - { offsetInCU: 0xA4F0, offset: 0xA4F0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x1900, symSize: 0x9C }
  - { offsetInCU: 0xA5AD, offset: 0xA5AD, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x199C, symSize: 0x690 }
  - { offsetInCU: 0xB13F, offset: 0xB13F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x8F08, symBinAddr: 0x2970, symSize: 0x30 }
  - { offsetInCU: 0xB1CB, offset: 0xB1CB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x202C, symSize: 0x74 }
  - { offsetInCU: 0xB27B, offset: 0xB27B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x20A0, symSize: 0xB0 }
  - { offsetInCU: 0xB35A, offset: 0xB35A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x2150, symSize: 0x3C }
  - { offsetInCU: 0xB450, offset: 0xB450, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x218C, symSize: 0x29C }
  - { offsetInCU: 0xB793, offset: 0xB793, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x2428, symSize: 0xD0 }
  - { offsetInCU: 0xB8C1, offset: 0xB8C1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x24F8, symSize: 0xC }
  - { offsetInCU: 0xB983, offset: 0xB983, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x2504, symSize: 0x22C }
  - { offsetInCU: 0xBC3E, offset: 0xBC3E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x2730, symSize: 0x4 }
  - { offsetInCU: 0xBC82, offset: 0xBC82, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x2730, symSize: 0x4 }
  - { offsetInCU: 0xBC9B, offset: 0xBC9B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x2734, symSize: 0x1F8 }
  - { offsetInCU: 0xBFB0, offset: 0xBFB0, size: 0x8, addend: 0x0, symName: _debug_printf, symObjAddr: 0x8EC8, symBinAddr: 0x2930, symSize: 0x34 }
  - { offsetInCU: 0xBFE5, offset: 0xBFE5, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EC4, symBinAddr: 0x292C, symSize: 0x4 }
  - { offsetInCU: 0xC029, offset: 0xC029, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EC4, symBinAddr: 0x292C, symSize: 0x4 }
  - { offsetInCU: 0xC042, offset: 0xC042, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_functions_environment_JvmtiTest_GetResult, symObjAddr: 0x8EFC, symBinAddr: 0x2964, symSize: 0xC }
  - { offsetInCU: 0xC079, offset: 0xC079, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x8F38, symBinAddr: 0x29A0, symSize: 0x358 }
...
